## Preseed Configurator - A graphical preseed file generator
## Copyright (C) 2009 Oriol Matavacas Rodriguez
## Based on GPL project "Kickstart Configurator v2.5" from RedHat,Brent Fox and Tammy Fox

## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2 of the License, or
## (at your option) any later version.

## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.

## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

#Kickstart Configurator Partitions Data Structure

class partEntry:
    def __init__(self):
        self.mountPoint = ""
        self.fsType = ""
        self.size = 0
        self.fixedSize = ""
        self.setSize = ""
        self.setSizeVal = ""
        self.sizeStrategy = "fixed"
        self.maxSize = ""
        self.asPrimary = 0
        self.device = None
        self.partition = None
#        self.onDisk = ""
#        self.onDiskVal = ""
#        self.onPart = ""
#        self.onPartVal = ""
        self.doFormat = ""
        self.raidLevel = ""
        self.raidSpares = ""
        self.raidNumber = ""
        self.raidPartitions = []
        self.raidPartitionObjects = []
        self.raidDevice = ""
        self.isRaidDevice = None
